Package org.jfree.report.structure

# Class StaticText

java.lang.Object
org.jfree.report.structure.Node
org.jfree.report.structure.StaticText

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class StaticText extends Node
Creation-Date: 19.02.2006, 16:48:35

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StaticText(String text)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getText()`
`String`
`toString()`

### Methods inherited from class org.jfree.report.structure.Node

`clone, getDisplayCondition, getGroup, getLocale, getParent, getReport, getRootReport, isEnabled, setParent, updateParent`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StaticText

public StaticText(String text)

## Method Details

### getText

public String getText()

### toString

public String toString()

Overrides:
  `toString` in class `Object`